# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rx_core_macro_subscriber_derive"
version = "0.1.0"
authors = ["Sandor Gyori <alexaegis@pm.me>"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "rx_core subscriber derive, implements associated type only traits"
homepage = "https://github.com/AlexAegis/rx_bevy"
documentation = "https://github.com/AlexAegis/rx_bevy"
readme = "readme.md"
keywords = [
    "rx",
    "reactivex",
    "rx_core",
]
license = "MIT"
repository = "https://github.com/AlexAegis/rx_bevy"

[lib]
name = "rx_core_macro_subscriber_derive"
path = "src/lib.rs"
proc-macro = true

[dependencies.quote]
version = "1.0"
default-features = false

[dependencies.rx_core_macro_common]
version = "0.1.0"

[dependencies.syn]
version = "2.0"
features = [
    "clone-impls",
    "derive",
    "parsing",
    "printing",
    "proc-macro",
]
default-features = false

[lints.clippy]
type_complexity = "allow"
